> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/ja/additional-features/reset-the-nfc-wallet-sdk.md).

# NFC Wallet SDKをリセットする

## 概要

NFC Wallet SDK をリセットすると、デバイスに SDK が保存したすべてのデータが削除されます。

これには、デジタルカードや支払い資格情報など、SDK によって管理される項目が含まれます。

{% hint style="warning" %}
リセットはローカルのみで行われます。サーバー API は一切呼び出されません。サーバー側にすでに存在するトークンは削除されません。

SDK を再初期化すると、ウォレット ID が変更されます。リセット前に作成されたトークンは、サーバー側で孤立したトークンになる場合があります。新しいカードのトークン化を実行したときに削除されることがあります（という処理で **トークンのクリーンアップ**).
{% endhint %}

リセット後、次回の初期化時に SDK は新しいウォレット ID を割り当てます。以下を参照してください [ウォレット ID を取得する](/nfc-wallet-sdk-android/ja/get-started/configuration/4.-initialize-the-nfc-wallet-sdk.md#retrieving-the-wallet-id).

{% hint style="info" %}
NFC Wallet SDK をリセットした後、 [ウォレットを登録](/nfc-wallet-sdk-android/ja/implement-nfc-wallet/enroll-wallet.md) を、新しいトークン化の前に実行してください。
{% endhint %}

## SDK 連携

呼び出します `SDKDataController.INSTANCE.wipeAll(appCcontext)` NFC Wallet SDK に保存されているすべてのデータを削除するためのものです。

```java
SDKDataController.INSTANCE.wipeAll(appContext);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/ja/additional-features/reset-the-nfc-wallet-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
